static const char *const multilib_raw[] = {
". !marm !mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft !mfloat-abi=softfp !mfloat-abi=hard;",
"arm/v5te/softfp marm !mthumb march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"arm/v5te/hard marm !mthumb march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft !mfloat-abi=softfp mfloat-abi=hard;",
"thumb/nofp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp mfloat-abi=soft !mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7/nofp !marm mthumb !march=armv5te+fp march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp mfloat-abi=soft !mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7+fp/softfp !marm mthumb !march=armv5te+fp !march=armv7 march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7+fp/hard !marm mthumb !march=armv5te+fp !march=armv7 march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft !mfloat-abi=softfp mfloat-abi=hard;",
"thumb/v6-m/nofp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp mfloat-abi=soft !mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7-m/nofp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp mfloat-abi=soft !mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7e-m/nofp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp mfloat-abi=soft !mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7e-m+fp/softfp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7e-m+fp/hard !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft !mfloat-abi=softfp mfloat-abi=hard;",
"thumb/v7e-m+dp/softfp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7e-m+dp/hard !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft !mfloat-abi=softfp mfloat-abi=hard;",
"thumb/v8-m.base/nofp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp mfloat-abi=soft !mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v8-m.main/nofp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp mfloat-abi=soft !mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v8-m.main+fp/softfp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v8-m.main+fp/hard !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft !mfloat-abi=softfp mfloat-abi=hard;",
"thumb/v8-m.main+dp/softfp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v8-m.main+dp/hard !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp march=armv8-m.main+fp.dp !mfloat-abi=soft !mfloat-abi=softfp mfloat-abi=hard;",
NULL
};

static const char *const multilib_reuse_raw[] = {
"thumb/v6-m/nofp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7-m/nofp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7e-m/nofp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v8-m.base/nofp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v8-m.main/nofp !marm mthumb !march=armv5te+fp !march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7/nofp marm !mthumb !march=armv5te+fp march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp mfloat-abi=soft !mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7+fp/hard marm !mthumb !march=armv5te+fp !march=armv7 march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft !mfloat-abi=softfp mfloat-abi=hard;",
"thumb/v7+fp/softfp marm !mthumb !march=armv5te+fp !march=armv7 march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7/nofp marm !mthumb !march=armv5te+fp march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
"thumb/v7/nofp !marm mthumb !march=armv5te+fp march=armv7 !march=armv7+fp !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7e-m+fp !march=armv7e-m+fp.dp !march=armv8-m.base !march=armv8-m.main !march=armv8-m.main+fp !march=armv8-m.main+fp.dp !mfloat-abi=soft mfloat-abi=softfp !mfloat-abi=hard;",
NULL
};

static const char *const multilib_matches_raw[] = {
"march=armv6-m march=armv6s-m;",
"march=armv8-m.main+dsp march=armv8-m.main;",
"march=armv8-m.main+dsp+fp march=armv8-m.main+fp;",
"march=armv8-m.main+dsp+fp.dp march=armv8-m.main+fp.dp;",
"march=armv7e-m+fpv5 march=armv7e-m+fp;",
"march=armv7-r march=armv7;",
"march=armv7-r+idiv march=armv7;",
"march=armv7-r+fp march=armv7+fp;",
"march=armv7-r+fp+idiv march=armv7+fp;",
"march=armv5tej+fp march=armv5te+fp;",
"march=armv6+fp march=armv5te+fp;",
"march=armv6j+fp march=armv5te+fp;",
"march=armv6k+fp march=armv5te+fp;",
"march=armv6z+fp march=armv5te+fp;",
"march=armv6kz+fp march=armv5te+fp;",
"march=armv6zk+fp march=armv5te+fp;",
"march=armv6t2+fp march=armv5te+fp;",
"march=iwmmxt+fp march=armv5te+fp;",
"march=iwmmxt2+fp march=armv5te+fp;",
"march=armv8-r march=armv7;",
"march=armv8-r+crc march=armv7;",
"march=armv8-r+simd march=armv7+fp;",
"march=armv8-r+crc+simd march=armv7+fp;",
"march=armv8-r+crypto march=armv7+fp;",
"march=armv8-r+crc+crypto march=armv7+fp;",
"march=armv7-a march=armv7;",
"march=armv7-a+fp march=armv7+fp;",
"march=armv7-a+vfpv3 march=armv7+fp;",
"march=armv7-a+vfpv3-d16-fp16 march=armv7+fp;",
"march=armv7-a+vfpv3-fp16 march=armv7+fp;",
"march=armv7-a+vfpv4-d16 march=armv7+fp;",
"march=armv7-a+vfpv4 march=armv7+fp;",
"march=armv7-a+simd march=armv7+fp;",
"march=armv7-a+neon-fp16 march=armv7+fp;",
"march=armv7-a+neon-vfpv4 march=armv7+fp;",
"march=armv7ve march=armv7;",
"march=armv7ve+vfpv3-d16 march=armv7+fp;",
"march=armv7ve+vfpv3 march=armv7+fp;",
"march=armv7ve+vfpv3-d16-fp16 march=armv7+fp;",
"march=armv7ve+vfpv3-fp16 march=armv7+fp;",
"march=armv7ve+fp march=armv7+fp;",
"march=armv7ve+vfpv4 march=armv7+fp;",
"march=armv7ve+neon march=armv7+fp;",
"march=armv7ve+neon-fp16 march=armv7+fp;",
"march=armv7ve+simd march=armv7+fp;",
"march=armv8-a march=armv7;",
"march=armv8-a+crc march=armv7;",
"march=armv8-a+crc+simd march=armv7+fp;",
"march=armv8-a+simd march=armv7+fp;",
"march=armv8-a+crc+simd march=armv7+fp;",
"march=armv8-a+simd+crypto march=armv7+fp;",
"march=armv8-a+crc+simd+crypto march=armv7+fp;",
"march=armv8-a+crypto march=armv7+fp;",
"march=armv8-a+crc+crypto march=armv7+fp;",
"march=armv8.1-a march=armv7;",
"march=armv8.1-a+simd march=armv7+fp;",
"march=armv8.1-a+simd+crypto march=armv7+fp;",
"march=armv8.1-a+crypto march=armv7+fp;",
"march=armv8.2-a march=armv7;",
"march=armv8.3-a march=armv7;",
"march=armv8.2-a+simd march=armv7+fp;",
"march=armv8.3-a+simd march=armv7+fp;",
"march=armv8.2-a+simd+fp16 march=armv7+fp;",
"march=armv8.3-a+simd+fp16 march=armv7+fp;",
"march=armv8.2-a+fp16 march=armv7+fp;",
"march=armv8.3-a+fp16 march=armv7+fp;",
"march=armv8.2-a+simd+fp16+fp16fml march=armv7+fp;",
"march=armv8.3-a+simd+fp16+fp16fml march=armv7+fp;",
"march=armv8.2-a+fp16+fp16fml march=armv7+fp;",
"march=armv8.3-a+fp16+fp16fml march=armv7+fp;",
"march=armv8.2-a+simd+fp16fml march=armv7+fp;",
"march=armv8.3-a+simd+fp16fml march=armv7+fp;",
"march=armv8.2-a+fp16fml march=armv7+fp;",
"march=armv8.3-a+fp16fml march=armv7+fp;",
"march=armv8.2-a+simd+fp16+fp16fml+crypto march=armv7+fp;",
"march=armv8.3-a+simd+fp16+fp16fml+crypto march=armv7+fp;",
"march=armv8.2-a+fp16+fp16fml+crypto march=armv7+fp;",
"march=armv8.3-a+fp16+fp16fml+crypto march=armv7+fp;",
"march=armv8.2-a+simd+fp16fml+crypto march=armv7+fp;",
"march=armv8.3-a+simd+fp16fml+crypto march=armv7+fp;",
"march=armv8.2-a+fp16fml+crypto march=armv7+fp;",
"march=armv8.3-a+fp16fml+crypto march=armv7+fp;",
"march=armv8.2-a+simd+fp16+crypto march=armv7+fp;",
"march=armv8.3-a+simd+fp16+crypto march=armv7+fp;",
"march=armv8.2-a+fp16+crypto march=armv7+fp;",
"march=armv8.3-a+fp16+crypto march=armv7+fp;",
"march=armv8.2-a+simd+crypto march=armv7+fp;",
"march=armv8.3-a+simd+crypto march=armv7+fp;",
"march=armv8.2-a+crypto march=armv7+fp;",
"march=armv8.3-a+crypto march=armv7+fp;",
"march=armv8.2-a+simd+fp16+fp16fml+crypto+dotprod march=armv7+fp;",
"march=armv8.3-a+simd+fp16+fp16fml+crypto+dotprod march=armv7+fp;",
"march=armv8.2-a+fp16+fp16fml+crypto+dotprod march=armv7+fp;",
"march=armv8.3-a+fp16+fp16fml+crypto+dotprod march=armv7+fp;",
"march=armv8.2-a+simd+fp16fml+crypto+dotprod march=armv7+fp;",
"march=armv8.3-a+simd+fp16fml+crypto+dotprod march=armv7+fp;",
"march=armv8.2-a+fp16fml+crypto+dotprod march=armv7+fp;",
"march=armv8.3-a+fp16fml+crypto+dotprod march=armv7+fp;",
"march=armv8.2-a+simd+fp16+crypto+dotprod march=armv7+fp;",
"march=armv8.3-a+simd+fp16+crypto+dotprod march=armv7+fp;",
"march=armv8.2-a+fp16+crypto+dotprod march=armv7+fp;",
"march=armv8.3-a+fp16+crypto+dotprod march=armv7+fp;",
"march=armv8.2-a+simd+crypto+dotprod march=armv7+fp;",
"march=armv8.3-a+simd+crypto+dotprod march=armv7+fp;",
"march=armv8.2-a+crypto+dotprod march=armv7+fp;",
"march=armv8.3-a+crypto+dotprod march=armv7+fp;",
"march=armv8.2-a+simd+fp16+fp16fml+dotprod march=armv7+fp;",
"march=armv8.3-a+simd+fp16+fp16fml+dotprod march=armv7+fp;",
"march=armv8.2-a+fp16+fp16fml+dotprod march=armv7+fp;",
"march=armv8.3-a+fp16+fp16fml+dotprod march=armv7+fp;",
"march=armv8.2-a+simd+fp16fml+dotprod march=armv7+fp;",
"march=armv8.3-a+simd+fp16fml+dotprod march=armv7+fp;",
"march=armv8.2-a+fp16fml+dotprod march=armv7+fp;",
"march=armv8.3-a+fp16fml+dotprod march=armv7+fp;",
"march=armv8.2-a+simd+fp16+dotprod march=armv7+fp;",
"march=armv8.3-a+simd+fp16+dotprod march=armv7+fp;",
"march=armv8.2-a+fp16+dotprod march=armv7+fp;",
"march=armv8.3-a+fp16+dotprod march=armv7+fp;",
"march=armv8.2-a+simd+dotprod march=armv7+fp;",
"march=armv8.3-a+simd+dotprod march=armv7+fp;",
"march=armv8.2-a+dotprod march=armv7+fp;",
"march=armv8.3-a+dotprod march=armv7+fp;",
"march=armv8.4-a march=armv7;",
"march=armv8.4-a+simd march=armv7+fp;",
"march=armv8.4-a+simd+fp16 march=armv7+fp;",
"march=armv8.4-a+fp16 march=armv7+fp;",
"march=armv8.4-a+simd+fp16+crypto march=armv7+fp;",
"march=armv8.4-a+fp16+crypto march=armv7+fp;",
"march=armv8.4-a+simd+crypto march=armv7+fp;",
"march=armv8.4-a+crypto march=armv7+fp;",
"march=armv8.5-a march=armv7;",
"march=armv8.5-a+simd march=armv7+fp;",
"march=armv8.5-a+simd+fp16 march=armv7+fp;",
"march=armv8.5-a+fp16 march=armv7+fp;",
"march=armv8.5-a+simd+fp16+crypto march=armv7+fp;",
"march=armv8.5-a+fp16+crypto march=armv7+fp;",
"march=armv8.5-a+simd+crypto march=armv7+fp;",
"march=armv8.5-a+crypto march=armv7+fp;",
"marm marm;",
"mthumb mthumb;",
"march=armv5te+fp march=armv5te+fp;",
"march=armv7 march=armv7;",
"march=armv7+fp march=armv7+fp;",
"march=armv6s-m march=armv6s-m;",
"march=armv7-m march=armv7-m;",
"march=armv7e-m march=armv7e-m;",
"march=armv7e-m+fp march=armv7e-m+fp;",
"march=armv7e-m+fp.dp march=armv7e-m+fp.dp;",
"march=armv8-m.base march=armv8-m.base;",
"march=armv8-m.main march=armv8-m.main;",
"march=armv8-m.main+fp march=armv8-m.main+fp;",
"march=armv8-m.main+fp.dp march=armv8-m.main+fp.dp;",
"mfloat-abi=soft mfloat-abi=soft;",
"mfloat-abi=softfp mfloat-abi=softfp;",
"mfloat-abi=hard mfloat-abi=hard;",
NULL
};

static const char *multilib_extra = "";

static const char *const multilib_exclusions_raw[] = {
NULL
};

static const char *multilib_options = "marm/mthumb march=armv5te+fp/march=armv7/march=armv7+fp/march=armv6s-m/march=armv7-m/march=armv7e-m/march=armv7e-m+fp/march=armv7e-m+fp.dp/march=armv8-m.base/march=armv8-m.main/march=armv8-m.main+fp/march=armv8-m.main+fp.dp mfloat-abi=soft/mfloat-abi=softfp/mfloat-abi=hard";
